Robotsystem from Robot Group Leipzig: OSGDummy Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# OSGDummy Class Reference

`#include <osgprimitive.h>`

Inheritance diagram for OSGDummy:

[legend]
Collaboration diagram for OSGDummy:

[legend]
List of all members.

## Detailed Description

A dummy graphical object, which has no representation in the graphical world.

Definition at line 109 of file osgprimitive.h.

## Public Member Functions
| OSGDummy ()
virtual void | init (const OsgHandle &osgHandle, Quality quality=Middle)
virtual void | setMatrix (const osg::Matrix &m4x4)
| Sets the transformation matrix of this object (position and orientation).
virtual osg::Group * | getGroup ()
| returns the group object which is the root of all subcomponents of this primitive
virtual void | setTexture (const std::string &filename)
| assigns a texture to the primitive
virtual void | setColor (const Color &color)
| sets the color for painting this primitive
virtual osg::Transform * | getTransform ()
| returns a osg transformation object;

## Constructor & Destructor Documentation

OSGDummy | ( |  | ) |

| Definition at line 139 of file osgprimitive.cpp.

## Member Function Documentation

Group * getGroup | ( |  | ) | `[virtual]`

| returns the group object which is the root of all subcomponents of this primitive Reimplemented from OSGPrimitive. Definition at line 147 of file osgprimitive.cpp.

Transform * getTransform | ( |  | ) | `[virtual]`

| returns a osg transformation object; Reimplemented from OSGPrimitive. Definition at line 159 of file osgprimitive.cpp.

void init | ( | const OsgHandle & | osgHandle,
|  | Quality | quality = `Middle`
| ) | `[virtual]`

| Definition at line 141 of file osgprimitive.cpp.

void setColor | ( | const Color & | color | ) | `[virtual]`

| sets the color for painting this primitive Reimplemented from OSGPrimitive. Definition at line 155 of file osgprimitive.cpp.

void setMatrix | ( | const osg::Matrix & | m4x4 | ) | `[virtual]`

| Sets the transformation matrix of this object (position and orientation). Reimplemented from OSGPrimitive. Definition at line 144 of file osgprimitive.cpp.

void setTexture | ( | const std::string & | filename | ) | `[virtual]`

| assigns a texture to the primitive Reimplemented from OSGPrimitive. Definition at line 151 of file osgprimitive.cpp.